/**
 * author: xxx
 * create: 2017-04-26
 * update: 2017-04-26 by xxx
 * desc:链接后台接口的js文件(
 * 在Vue1.0中我们知道和服务端通信发送请求获取数据依赖的是vue-resource，
 * 但自Vue更新到2.0之后作者就宣告不再对vue-resource更新，
 * 而是改成了推荐的Axios这一HTTP库。作用上类似我们熟知的一些Ajax库,
 * 但是Axios是基于Promise的HTTP请求客户端，可同时在浏览器和Node.js中使用,
 * 这好像更符合目前前端的技术新趋势
 * )
 */
import axios from 'axios';
//基础路径
let base = '';

export const getUserListPage = params => { return axios.get(`${base}/user/listpage`, { params: params }); };

export const removeUser = params => { return axios.get(`${base}/user/remove`, { params: params }); };

export const batchRemoveUser = params => { return axios.get(`${base}/user/batchremove`, { params: params }); };

export const editUser = params => { return axios.get(`${base}/user/edit`, { params: params }); };

export const addUser = params => { return axios.get(`${base}/user/add`, { params: params }); };